;;; -*- Mode:LISP; Package:MOBY-FILE-SYSTEM; Base:10 -*-

(defvar b nil)

(defun test (&optional
	     (aarray zwei:*zmacs-completion-aarray*)
	     (skip 0.)
	     (n 10.))
  (setq skip (max skip 1))
  (setq b (make-btree :make-array (:length N)
		      :type-number 1
		      :key-code 3
		      :res-code 4))
  (do ((in 0 (+ in skip))
       (nents 0 (1+ nents)))
      ((>= in (array-active-length aarray))
       (format t "~&...~D entries" nents))
    (let ((a (aref aarray in)))
      (btree-store b (cdr a) (car a))))
  b)

(defun dfirst (btree)
  (let ((*print-level*
	  (if (numberp *print-level*) (1+ *print-level*) 0.)))
    (when btree
      (dotimes (i (array-active-length btree))
	(let ((elt (aref btree i)))
	  (typecase elt
	    (null)
	    (btree (dfirst elt))
	    (t (format t "~&~v@t~S" (* *print-level* 2) elt))))))))
